MsWks4ZoneInternal::State Struct Reference

Internal: the state of a MsWks4Zone. More...

## Public Member Functions

| State ()
| constructor

## Public Attributes

bool | m_mainOle
| true if we parse the main MN0
int | m_numColumns
| the number of column
bool | m_hasColumnSep
| true if a line is added to separated the column
bool | m_parsed
| a flag to known if the ole is already parsed
int | m_actPage
| the actual page
int | m_numPages
MWAWFont | m_defFont
| the default font
std::vector< Frame > | m_framesList
| the list of frames

## Detailed Description

Internal: the state of a MsWks4Zone.

## Constructor & Destructor Documentation

## State()

MsWks4ZoneInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_actPage

int MsWks4ZoneInternal::State::m_actPage

the actual page

Referenced by State().

## m_defFont

MWAWFont MsWks4ZoneInternal::State::m_defFont

the default font

Referenced by State().

## m_framesList

std::vector<Frame> MsWks4ZoneInternal::State::m_framesList

the list of frames

Referenced by State().

## m_hasColumnSep

bool MsWks4ZoneInternal::State::m_hasColumnSep

true if a line is added to separated the column

Referenced by State().

## m_mainOle

bool MsWks4ZoneInternal::State::m_mainOle

true if we parse the main MN0

Referenced by State().

## m_numColumns

int MsWks4ZoneInternal::State::m_numColumns

the number of column

Referenced by State().

## m_numPages

int MsWks4ZoneInternal::State::m_numPages

Referenced by State().

## m_parsed

bool MsWks4ZoneInternal::State::m_parsed

a flag to known if the ole is already parsed

Referenced by State().

The documentation for this struct was generated from the following file:

- MsWks4Zone.cxx